> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tradable Currencies



## OpenAPI

````yaml /api-reference/openapi.json get /currencies/tradeable
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /currencies/tradeable:
    get:
      tags:
        - Currencies
      summary: Get Tradable Currencies
      responses:
        '200':
          description: Get All Currencies
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri
                'self';block-all-mixed-content;font-src 'self' https:
                data:;frame-ancestors 'self';img-src 'self' data:;object-src
                'none';script-src 'self';script-src-attr 'none';style-src 'self'
                https: 'unsafe-inline';upgrade-insecure-requests
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            Expect-CT:
              schema:
                type: string
              example: max-age=0
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            X-RateLimit-Limit:
              schema:
                type: integer
              example: '100'
            X-RateLimit-Remaining:
              schema:
                type: integer
              example: '97'
            Date:
              schema:
                type: string
              example: Tue, 22 Mar 2022 19:39:51 GMT
            X-RateLimit-Reset:
              schema:
                type: integer
              example: '1647978107'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            ETag:
              schema:
                type: string
              example: W/"3245-NdoX0Oc1HuLUuFvwRrxSiR+dSgs"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        active:
                          type: boolean
                        name:
                          type: string
                        code:
                          type: string
                        receivable:
                          type: boolean
                        withdrawable:
                          type: boolean
                        transferrable:
                          type: boolean
                        minimumWithdrawal:
                          type: integer
                        maximumWithdrawal:
                          type: integer
                        maximumDecimalPlaces:
                          type: integer
                        minimumLiquidity:
                          type: integer
                        withdrawalFee:
                          type: integer
                        receiveFee:
                          type: integer
                        type:
                          type: string
                        leverageType:
                          nullable: true
                        receiveFeeType:
                          type: string
                        withdrawalFeeType:
                          type: string
                        sourcePairs:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              active:
                                type: boolean
                              sourceId:
                                type: string
                              targetId:
                                type: string
                              isSellable:
                                type: boolean
                              isBuyable:
                                type: boolean
                              isLeverage:
                                type: boolean
                              target:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                  updatedAt:
                                    type: string
                                    format: date-time
                                  active:
                                    type: boolean
                                  name:
                                    type: string
                                  code:
                                    type: string
                                  exchangeCode:
                                    nullable: true
                                  leverageBaseCurrencyCode:
                                    nullable: true
                                  leverageMultipler:
                                    nullable: true
                                  cardWithdrawalMultiplier:
                                    type: integer
                                  cardFundingMultiplier:
                                    type: integer
                                  receivable:
                                    type: boolean
                                  withdrawable:
                                    type: boolean
                                  transferrable:
                                    type: boolean
                                  minimumWithdrawal:
                                    type: integer
                                  maximumWithdrawal:
                                    type: integer
                                  maximumDecimalPlaces:
                                    type: integer
                                  minimumLiquidity:
                                    type: integer
                                  withdrawalFee:
                                    type: integer
                                  receiveFee:
                                    type: integer
                                  type:
                                    type: string
                                  leverageType:
                                    nullable: true
                                  receiveFeeType:
                                    type: string
                                  withdrawalFeeType:
                                    type: string
              example:
                message: Ok
                data:
                  - id: 994487d0-b233-4334-92e7-845c0c70b612
                    active: true
                    name: ApeCoin
                    code: APE
                    receivable: false
                    withdrawable: false
                    transferrable: true
                    minimumWithdrawal: 0
                    maximumWithdrawal: 10000
                    maximumDecimalPlaces: 8
                    minimumLiquidity: 0
                    withdrawalFee: 0
                    receiveFee: 0
                    type: CRYPTO
                    leverageType: null
                    receiveFeeType: PERCENTAGE
                    withdrawalFeeType: PERCENTAGE
                    sourcePairs:
                      - id: a0c9af09-5a33-4356-b052-31da190a9059
                        active: true
                        sourceId: 994487d0-b233-4334-92e7-845c0c70b612
                        targetId: 527cbb88-9ea5-4bf7-b542-25be4a3d04cf
                        isSellable: true
                        isBuyable: true
                        isLeverage: false
                        target:
                          id: 527cbb88-9ea5-4bf7-b542-25be4a3d04cf
                          createdAt: '2021-06-07T21:58:40.572Z'
                          updatedAt: '2022-05-13T15:36:02.819Z'
                          active: true
                          name: Tether
                          code: USDT
                          exchangeCode: null
                          leverageBaseCurrencyCode: null
                          leverageMultipler: null
                          cardWithdrawalMultiplier: 1
                          cardFundingMultiplier: 1
                          receivable: true
                          withdrawable: true
                          transferrable: true
                          minimumWithdrawal: 0
                          maximumWithdrawal: 1000000
                          maximumDecimalPlaces: 4
                          minimumLiquidity: 100000
                          withdrawalFee: 0
                          receiveFee: 0
                          type: STABLE
                          leverageType: null
                          receiveFeeType: PERCENTAGE
                          withdrawalFeeType: PERCENTAGE
                      - id: 003707ed-bc93-474f-b1c5-1b0c88f40156
                        createdAt: '2022-03-20T09:16:08.734Z'
                        updatedAt: '2022-03-20T12:40:04.858Z'
                        active: true
                        sourceId: 994487d0-b233-4334-92e7-845c0c70b612
                        targetId: 5746dfdf-6432-44e2-954d-b778b979e53b
                        isSellable: true
                        isBuyable: true
                        isLeverage: false
                        target:
                          id: 5746dfdf-6432-44e2-954d-b778b979e53b
                          createdAt: '2021-06-07T21:58:40.609Z'
                          updatedAt: '2021-11-01T15:05:37.701Z'
                          active: true
                          name: USD Coin
                          code: USDC
                          exchangeCode: null
                          leverageBaseCurrencyCode: null
                          leverageMultipler: null
                          cardWithdrawalMultiplier: 1
                          cardFundingMultiplier: 1
                          receivable: true
                          withdrawable: true
                          transferrable: true
                          minimumWithdrawal: 0
                          maximumWithdrawal: 5000000
                          maximumDecimalPlaces: 4
                          minimumLiquidity: 50000
                          withdrawalFee: 0
                          receiveFee: 0
                          type: STABLE
                          leverageType: null
                          receiveFeeType: PERCENTAGE
                          withdrawalFeeType: PERCENTAGE
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````